<?php 

add_action('dslc_hook_register_modules',
     create_function('', 'return dslc_register_module( "Ainex_Subscribe" );')
);

class Ainex_Subscribe extends DSLC_Module {
 		
 	// Module Attributes
    var $module_id = 'Ainex_Subscribe';
    var $module_title = 'Subscribe';
    var $module_icon = 'font';
    var $module_category = 'Ainex - Blocks';
 
 	// Module Options
    function options() {
    	// The options array
    	$dslc_options = array(
			array(
                'label' => __( 'Subscribe Form - Title', 'dslc_string' ),
                'id' => 'title',
                'std' => 'Subscribe',
                'type' => 'text',
            ),
		);

        $dslc_options = array_merge( $dslc_options, $this->shared_options('animation_options') );
		
    	// Return the array
    	return apply_filters( 'dslc_module_options', $dslc_options, $this->module_id );

    }
 
 	// Module Output
    function output( $options ) {

    	global $dslc_active;
    	
		if ( $dslc_active && is_user_logged_in() && current_user_can( DS_LIVE_COMPOSER_CAPABILITY ) )
			$dslc_is_admin = true;
		else
			$dslc_is_admin = false;
		
		//REQUIRED
		$this->module_start( $options );
?>
<div class="container">
        <?php get_template_part('content-parts/content-mail', 'chimp'); ?>
</div>
<?php
    	// REQUIRED
    	$this->module_end( $options );

    }
 
}